## ros-foxy-ros-ign-bridge 0.221.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_bridge)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rosgraph_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)

# Edifice
if("$ENV{IGNITION_VERSION}" STREQUAL "edifice")
  find_package(ignition-transport10 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
# Dome
elseif("$ENV{IGNITION_VERSION}" STREQUAL "dome")
  find_package(ignition-transport9 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport9_VERSION_MAJOR})

  find_package(ignition-msgs6 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs6_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Dome")
# Default to Citadel
else()
  find_package(ignition-transport8 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})

  find_package(ignition-msgs5 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Citadel")
endif()

include_directories(include)

set(common_sources
  src/convert.cpp
  src/factories.cpp
)

set(bridge_executables
  parameter_bridge
  static_bridge
)

set(bridge_lib
  ros_ign_bridge_lib
)

add_library(${bridge_lib}
  ${common_sources}
)

target_link_libraries(${bridge_lib}
  ignition-msgs${IGN_MSGS_VER}::core
  ignition-transport${IGN_TRANSPORT_VER}::core
)
ament_target_dependencies(${bridge_lib}
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "rosgraph_msgs"
  "sensor_msgs"
  "std_msgs"
  "tf2_msgs"
  "trajectory_msgs"
)

install(TARGETS ${bridge_lib}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(${bridge_lib})

foreach(bridge ${bridge_executables})
  add_executable(${bridge}
    src/${bridge}.cpp
    ${common_sources}
  )
  target_link_libraries(${bridge}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  ament_target_dependencies(${bridge}
    "geometry_msgs"
    "nav_msgs"
    "rclcpp"
    "rosgraph_msgs"
    "sensor_msgs"
    "std_msgs"
    "tf2_msgs"
    "trajectory_msgs"
  )
  install(TARGETS ${bridge}
    DESTINATION lib/${PROJECT_NAME}
  )
endforeach()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  ament_find_gtest()

  add_executable(test_ros_publisher test/publishers/ros_publisher.cpp)
  ament_target_dependencies(test_ros_publisher
    geometry_msgs
    nav_msgs
    rclcpp
    rosgraph_msgs
    sensor_msgs
    std_msgs
    tf2_msgs
    trajectory_msgs
  )
  target_link_libraries(test_ros_publisher
    ${GTEST_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  target_include_directories(test_ros_publisher PUBLIC ${GTEST_INCLUDE_DIRS})

  add_executable(test_ros_subscriber test/subscribers/ign_subscriber.cpp)
  ament_target_dependencies(test_ros_subscriber
    geometry_msgs
    nav_msgs
    rclcpp
    rosgraph_msgs
    sensor_msgs
    std_msgs
    tf2_msgs
    trajectory_msgs
  )

  target_link_libraries(test_ros_subscriber
    ${GTEST_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  target_include_directories(test_ros_subscriber PUBLIC ${GTEST_INCLUDE_DIRS})

  add_executable(test_ign_publisher test/publishers/ign_publisher.cpp)
  ament_target_dependencies(test_ign_publisher
    rclcpp
  )
  target_link_libraries(test_ign_publisher
    ${GTEST_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  target_include_directories(test_ign_publisher PUBLIC ${GTEST_INCLUDE_DIRS})

  add_executable(test_ign_subscriber test/subscribers/ign_subscriber.cpp)
  ament_target_dependencies(test_ign_subscriber
    rclcpp
  )
  target_link_libraries(test_ign_subscriber
    ${GTEST_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  target_include_directories(test_ign_subscriber PUBLIC ${GTEST_INCLUDE_DIRS})

  install(TARGETS
    test_ros_publisher
    test_ros_subscriber
    test_ign_publisher
    test_ign_subscriber
    DESTINATION lib/${PROJECT_NAME}
  )

  add_launch_test(test/launch/test_ros_subscriber.launch.py
    TIMEOUT 200
  )

  add_launch_test(test/launch/test_ign_subscriber.launch.py
    TIMEOUT 200
  )
endif()

ament_package()

=== debian/changelog ===
ros-foxy-ros-ign-bridge (0.221.2-1focal) focal; urgency=high

  * Ignore local publications for ROS 2 subscriber (#146 <https://github.com/osrf/ros_ign/issues/146>)
    - Note: Does not work with all rmw implementations (e.g.: FastRTPS)
  * [ros2] Update documentation for installation instructions and bridge examples (#142 <https://github.com/osrf/ros_ign/issues/142>)
  * [foxy] Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
  * [ros2] Add JointTrajectory message conversion (#121 <https://github.com/osrf/ros_ign/issues/121>)
    Conversion between
    - ignition::msgs::JointTrajectory
    - trajectory_msgs::msg::JointTrajectory
  * Add TFMessage / Pose_V and Float64 / Double conversions (#117 <https://github.com/osrf/ros_ign/issues/117>)
    Addresses issue #116 <https://github.com/osrf/ros_ign/issues/116>
  * updated prereq & branch name (#113 <https://github.com/osrf/ros_ign/issues/113>)
  * [ros2] Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Updated README.md (#104 <https://github.com/osrf/ros_ign/issues/104>)
  * Add support for Dome (#103 <https://github.com/osrf/ros_ign/issues/103>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Florent Audonnet, Jenn, Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-foxy-ros-ign-bridge (0.221.1-1focal) focal; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/osrf/ros_ign/issues/102>)
  * Port ros_ign_bridge tests to ROS 2 (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Rename test_utils.hpp (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Contributors: Louise Poubel, ahcorde

 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 07:00:00 -0000

ros-foxy-ros-ign-bridge (0.221.0-1focal) focal; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Move headers to src, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Integer support (#91 <https://github.com/osrf/ros_ign/issues/91>)
    Adds Int32 to the bridge.
  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/osrf/ros_ign/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Ignore ros-args in parameter bridge (#65 <https://github.com/osrf/ros_ign/issues/65>)
  * Update Dashing docs (#62 <https://github.com/osrf/ros_ign/issues/62>)
  * Update dependencies to Citadel (#57 <https://github.com/osrf/ros_ign/issues/57>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/osrf/ros_ign/issues/58>)
    Port ros_ign_image to ROS2
    Port ros_ign_gazebo_demos to ROS2
  * Add support for std_msgs/Empty (#53 <https://github.com/osrf/ros_ign/issues/53>)
  * Add support for std_msgs/Bool (#50 <https://github.com/osrf/ros_ign/issues/50>)
  * [ros2] Port ros_ign_bridge to ROS2 (#45 <https://github.com/osrf/ros_ign/issues/45>)
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/osrf/ros_ign/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Addisu Taddese, Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Luca Della Vedova, Michael Carroll, Mohamed Ahmed, Shivesh Khaitan, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-foxy-ros-ign-bridge (0.7.0-1focal) focal; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug
    Adding debug and error statements
  * Switch to characters supported by ros
  * Merge branch 'debug' into unidirectional
  * More output, and rosconsole depend
  * Support specification of bridge direction
  * Adding debug and error statements
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-bridge (0.6.3-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-bridge (0.6.2-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-bridge (0.6.1-1focal) focal; urgency=high

  * Update README.md
  * Contributors: Carlos Agüero

 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-bridge (0.6.0-1focal) focal; urgency=high

  * Merge pull request #33 <https://github.com/osrf/ros1_ign_bridge/issues/33> from osrf/issue_31
    Fix issue #31 <https://github.com/osrf/ros1_ign_bridge/issues/31>
  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Use intra-process field from messageInfo.
  * Contributors: Carlos Aguero, Nate Koenig, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge


=== debian/control ===
Source: ros-foxy-ros-ign-bridge
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs5-dev, libignition-transport8-dev, pkg-config, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-geometry-msgs, ros-foxy-launch-ros, ros-foxy-launch-testing, ros-foxy-launch-testing-ament-cmake, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rosgraph-msgs, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2-msgs, ros-foxy-trajectory-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ros-ign-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs5-dev, libignition-transport8-dev, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rosgraph-msgs, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2-msgs, ros-foxy-trajectory-msgs, ros-foxy-ros-workspace
Description: Bridge communication between ROS and Ignition Transport

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ros-ign-bridge//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
